Get Dynamic Dashboard
GET
/v1/portal/workspace/graph
const url = 'https://example.com/v1/portal/workspace/graph?limit=8&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/workspace/graph?limit=8&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalDynamicDashboardOut
object
overview
required
PortalDynamicDashboardOverviewOut
object
tenant_id
required
Tenant Id
string
subject_key
required
Subject Key
string
group_paths
Group Paths
Array<string>
accessible_solutions
Accessible Solutions
integer
project_count
Project Count
integer
repo_count
Repo Count
integer
workspace_count
Workspace Count
integer
runtime_count
Runtime Count
integer
dataset_count
Dataset Count
integer
proposal_count
Proposal Count
integer
readiness_score
Readiness Score
integer
sections
Sections
Array<object>
PortalDynamicDashboardSectionOutobject
section_id
required
Section Id
string
title
required
Title
string
summary
Summary
string
tone
Tone
string
empty_state
Empty State
string
items
Items
Array<object>
PortalGraphItemOutobject
item_key
required
Item Key
string
title
required
Title
string
summary
Summary
string
status
Status
string
href
Href
string
chips
Chips
Array<string>
metric_label
Metric Label
string
metric_value
Metric Value
integer
actions
Actions
Array<object>
PortalGraphActionOutobject
action_id
required
Action Id
string
label
required
Label
string
url
required
Url
string
kind
Kind
string
summary
Summary
string
status
Status
string
entity_kind
Entity Kind
string
entity_key
Entity Key
string
Example
{ "overview": { "accessible_solutions": 0, "project_count": 0, "repo_count": 0, "workspace_count": 0, "runtime_count": 0, "dataset_count": 0, "proposal_count": 0, "readiness_score": 0 }, "sections": [ { "summary": "", "tone": "neutral", "empty_state": "", "items": [ { "summary": "", "status": "", "href": "", "metric_label": "", "metric_value": 0, "actions": [ { "kind": "open", "summary": "", "status": "", "entity_kind": "", "entity_key": "" } ] } ] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}